Summary:	A CBOR parsing library
Name:		libcbor
Version:	0.10.2
Release:	2%{?dist}
License:	MIT
URL:		http://libcbor.org
Source0:	https://github.com/PJK/%{name}/archive/v%{version}.tar.gz

BuildRequires:	make cmake gcc gcc-c++
BuildRequires:	python3-sphinx python3-breathe
BuildRequires:	python3-sphinx_rtd_theme

%description
libcbor is a C library for parsing and generating CBOR, the 
general-purpose schema-less binary data format.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel contains libraries and header files for %{name}.

%prep
%autosetup

%build
%cmake -B . -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFFIX="/usr" ./
%make_build
cd doc
make man

%install
%make_install
mkdir -p %{buildroot}%{_mandir}/man1
cp doc/build/man/* %{buildroot}%{_mandir}/man1

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libcbor.so.0*
%{_mandir}/man1/libcbor.3*

%files devel
%{_includedir}/cbor.h
%{_includedir}/cbor/*.h
%{_includedir}/cbor/internal/*.h
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 0.10.2-1
- update to 0.10.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 26 2022 Cheng Xin <denisecheng@tencent.com> - 0.9.0-1
- package init.
